package com.tencent.mm.g.b.a;

import com.tencent.matrix.trace.core.AppMethodBeat;

public enum cg$b {
    ok(0),
    common_fail(1);
    
    final int value;

    static {
        AppMethodBeat.o(128823);
    }

    private cg$b(int i) {
        this.value = i;
    }

    public static cg$b hh(int i) {
        switch (i) {
            case 0:
                return ok;
            case 1:
                return common_fail;
            default:
                return null;
        }
    }
}
